Package openlink.util

## Class VectorOfLong

- java.lang.Object
- - openlink.util.Vector
  - - openlink.util.VectorOfLong

    public class VectorOfLong
    extends Vector

The VectorOfLong class is an implementation to store Long objects.

See Also:
  `Vector`

### Field Summary

### Fields inherited from class openlink.util.Vector

`capacityIncrement, elementCount, elementData`

### Constructor Summary

Constructors
`VectorOfLong​()` Constructs an empty vector of Long objects.
`VectorOfLong​(int initialCapacity)` Constructs an empty vector with the specified initial capacity.
`VectorOfLong​(int initialCapacity, int capacityIncrement)` Constructs an empty vector with the specified initial capacity and capacity increment.
`VectorOfLong​(java.lang.Object[] array)` Constructs a vector from an array of Long.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class openlink.util.Vector

`addElement, capacity, clone, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, setSize, size, toString, trimToSize`

### Constructor Detail

#### VectorOfLong

    public VectorOfLong​()

Constructs an empty vector of Long objects.

#### VectorOfLong

    public VectorOfLong​(int initialCapacity)

Constructs an empty vector with the specified initial capacity.

Parameters:
  `initialCapacity` - The initial capacity of the vector.

#### VectorOfLong

    public VectorOfLong​(int initialCapacity,
                        int capacityIncrement)

Constructs an empty vector with the specified initial capacity and capacity increment.

Parameters:
  `initialCapacity` - The initial capacity of the vector.
  `capacityIncrement` - The amount by which the capacity is increased when the vector overflows.

#### VectorOfLong

    public VectorOfLong​(java.lang.Object[] array)

Constructs a vector from an array of Long.

Parameters:
  `array` - The array of long to copy into the vector.